petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetType

Gets the TS method type (as a string).

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetType(TS ts, TSType *type)

Not Collective

### Input Parameter

ts -The TS

### Output Parameter

type -The name of TS method

### Keywords

TS, timestepper, get, type, name

### See Also

TSSetType()

Level:intermediate
Location:src/ts/interface/tsreg.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex31.c.html